- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
GNet::AddressImp::Sockaddr Union Reference

Used by GNet::AddressImp to cast between sockaddr and sockaddr_in. More...

## Public Attributes
address_type | specific
general_type | general
storage_type | storage

## Detailed Description

Used by GNet::AddressImp to cast between sockaddr and sockaddr_in.

Definition at line 43 of file gaddress_ipv4.cpp.

## Member Data Documentation

general_type GNet::AddressImp::Sockaddr::general

Definition at line 44 of file gaddress_ipv4.cpp.

address_type GNet::AddressImp::Sockaddr::specific

Definition at line 44 of file gaddress_ipv4.cpp.

Referenced by GNet::AddressImp::same(), and GNet::AddressImp::sameHost().

storage_type GNet::AddressImp::Sockaddr::storage

Definition at line 44 of file gaddress_ipv4.cpp.

The documentation for this union was generated from the following file:

- gaddress_ipv4.cpp